path: /build/build/stockfish-games-board-10.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} games-board/stockfish -pv -t && \
    emerge -j ${JOBS} --nodeps games-board/stockfish
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/stockfish && luet-portage --dir /pkgdir/stockfish
    games-board/stockfish && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:e98b364fd1a4093ab58cdce7059da89625a013b835d2ea67496c9337a7ffc568
  package:
    name: stockfish
    version: "10"
    category: games-board
    requires:
    - name: sjeng
      version: '>=0'
      category: games-board
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Free UCI chess engine, claimed to be the strongest in the world
    uri:
    - https://stockfishchess.org/
    license: GPL-3
    buildtimestamp: 2023-09-23 08:13:34.955048584 +0000 UTC m=+78.350236154
    labels:
      DEPEND: '|| ( app-arch/unzip app-arch/zip )'
      IUSE: armv7 cpu_flags_x86_avx2 cpu_flags_x86_popcnt cpu_flags_x86_sse debug
        general-32 general-64 +optimize
      emerge.packages: games-board/stockfish
      kit: games-kit
      original.package.name: games-board/stockfish
      original.package.slot: "0"
      original.package.version: "10"
    treedir: /build/packages
  package_dir: /pkgdir/stockfish
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: e1a6ca07e378671a50dd8c63404e6140ddfd8ef01141cf62adab0a751264b625
compressiontype: zstd
files:
- usr/bin/stockfish
- usr/share/doc/stockfish-10/AUTHORS.bz2
- usr/share/doc/stockfish-10/Readme.md.bz2
- var/db/pkg/games-board/stockfish-10/BUILD_TIME
- var/db/pkg/games-board/stockfish-10/CATEGORY
- var/db/pkg/games-board/stockfish-10/CBUILD
- var/db/pkg/games-board/stockfish-10/CFLAGS
- var/db/pkg/games-board/stockfish-10/CHOST
- var/db/pkg/games-board/stockfish-10/CONTENTS
- var/db/pkg/games-board/stockfish-10/COUNTER
- var/db/pkg/games-board/stockfish-10/CXXFLAGS
- var/db/pkg/games-board/stockfish-10/DEFINED_PHASES
- var/db/pkg/games-board/stockfish-10/DEPEND
- var/db/pkg/games-board/stockfish-10/DESCRIPTION
- var/db/pkg/games-board/stockfish-10/EAPI
- var/db/pkg/games-board/stockfish-10/FEATURES
- var/db/pkg/games-board/stockfish-10/HOMEPAGE
- var/db/pkg/games-board/stockfish-10/INHERITED
- var/db/pkg/games-board/stockfish-10/IUSE
- var/db/pkg/games-board/stockfish-10/IUSE_EFFECTIVE
- var/db/pkg/games-board/stockfish-10/KEYWORDS
- var/db/pkg/games-board/stockfish-10/LDFLAGS
- var/db/pkg/games-board/stockfish-10/LICENSE
- var/db/pkg/games-board/stockfish-10/NEEDED
- var/db/pkg/games-board/stockfish-10/PF
- var/db/pkg/games-board/stockfish-10/REQUIRES
- var/db/pkg/games-board/stockfish-10/SIZE
- var/db/pkg/games-board/stockfish-10/SLOT
- var/db/pkg/games-board/stockfish-10/USE
- var/db/pkg/games-board/stockfish-10/environment.bz2
- var/db/pkg/games-board/stockfish-10/repository
- var/db/pkg/games-board/stockfish-10/stockfish-10.ebuild
package_cacheimage: ""
runtime:
  name: stockfish
  version: "10"
  category: games-board
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Free UCI chess engine, claimed to be the strongest in the world
  uri:
  - https://stockfishchess.org/
  license: GPL-3
  labels:
    DEPEND: '|| ( app-arch/unzip app-arch/zip )'
    IUSE: armv7 cpu_flags_x86_avx2 cpu_flags_x86_popcnt cpu_flags_x86_sse debug general-32
      general-64 +optimize
    emerge.packages: games-board/stockfish
    kit: games-kit
    original.package.name: games-board/stockfish
    original.package.slot: "0"
    original.package.version: "10"
